Module java.rmi
Package java.rmi

# Class ConnectIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.ConnectIOException

All Implemented Interfaces:
  `Serializable`

public class ConnectIOException extends RemoteException
A `ConnectIOException` is thrown if an `IOException` occurs while making a connection to the remote host for a remote method call.

Since:
  1.1
See Also:
  Serialized Form

## Field Summary

### Fields declared in class java.rmi.RemoteException

`detail`

## Constructor Summary

Constructors
Constructor
Description
`ConnectIOException​(String s)`
Constructs a `ConnectIOException` with the specified detail message.
`ConnectIOException​(String s, Exception ex)`
Constructs a `ConnectIOException` with the specified detail message and nested exception.

## Method Summary

### Methods declared in class java.rmi.RemoteException

`getCause, getMessage`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectIOException

public ConnectIOException​(String s)
Constructs a `ConnectIOException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.1

### ConnectIOException

public ConnectIOException​(String s, Exception ex)
Constructs a `ConnectIOException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  1.1